Panopoly

This is where Panopoly maintainers, contributors and stakeholders meet to coordinate overall development of Panopoly. If you use Panopoly or maintain a distribution based on Panopoly, this is the place for you!

We also have the #panopoly IRC channel on freenode.net, if you're looking to discuss in realtime over chat. (Learn to to setup IRC.)

dsnopek's picture

Panopoly 1.46 released for Drupal 7.56 and SA-CORE-2017-003

Hi Everyone!

Drupal 7.56 was released yesterday to fix a moderately critical security vulnerability. You can learn more in the security advisory:

Drupal Core - Multiple Vulnerabilities - SA-CORE-2017-003

Besides that, it also includes a number of minor bug fixes and module updates, including:

  • Updating to WYSIWYG 2.4
  • Updating to Panels 3.9
  • Updating to FPP 1.11
  • Updating to Entity API 1.8
  • Updating to Link 1.4
  • Updating the Search API modules
  • Accessibility improvements on search results page
  • Testing improvements

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.46

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.45 released for (another) vulnerability in Media and Chrome/WYSIWYG fix

Hi Everyone!

Media 2.1 was released yesterday to fix a moderately critical security vulnerability. You can learn more in the security advisory:

Media - Moderately Critical - Multiple vulnerabilities - SA-CONTRIB-2017-044

Besides that, it also includes a fix to the WISYWIG (TinyMCE) when used with Chrome 58. You can learn more on the issue:

Chrome v58 Cannot Edit Images - Tiny MCE Bug setBaseAndExtent

And a couple minor things, like test improvements, and a new optional feature for the Submenu widget. But it's a pretty small release this time!

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.45

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.44 released for critical vulnerability in Media

Hi Everyone!

Media 2.0 fixes a critical security vulnerability. There's no security advisory, because Media 2.x was still officially beta, meaning it didn't get coverage from the Drupal Security Team. However, with 2.0, it will get coverage and security advisories going forward!

This release contains only the security update, and another bug fix associated with recent Media updates.

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.44

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.43 released moderately critical vulnerability in Views (SA-CONTRIB-2017-022)

Hi Everyone!

Views 3.15 was released today to address a moderately critical security vulnerability. You can learn more in the security advisory:

Views - Moderately Critical - Access Bypass - SA-CONTRIB-2017-022

This release contains only the security update, however, there were quite a few bug fixes and new features in the release from last week, if you haven't already updated.

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.43

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.42 for Drupal 7 and Panopoly 2.0-alpha6 for Drupal 8 released!

Hi Everyone!

The main story here is that Panopoly 1.42 for Drupal 7 was released! This is a non-security release, so you don't need to update immediately, but we'd love it if you could update soon and let us know how everything works. This release includes a (non-security) Drupal core update, bug fixes, module updates and a couple new features, including: using Linkit in more places and rendering Field Collections in the live previews from Panopoly Magic.

The secondary story is that we've released a new -alpha for Panopoly 2 on Drupal 8! We've actually released a couple new -alphas since the last time I've announced one. :-) While we're still not at our -beta goals, we're getting really, really close! If you have the time and interest, come help us get across the finish line :-)

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.42

https://www.drupal.org/project/panopoly/releases/8.x-2.0-alpha6

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.40 released for critical regressions in 1.39

Hi Everyone!

Panopoly 1.39 was released on Wednesday to address some critical security vulnerabilities in Panels and Panelizer. It turns out there were some critical regressions (ie. bugs that broke features that used to work) in the security fix - all of the ones we could find in subsequent few days were fixed in the upstream Panels and Panelizer projects.

This release is to include all of those fixes (although, some of them were already included as patches in Panopoly 1.39).

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.40

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.39 released for SA-CONTRIB-2016-047 and SA-CONTRIB-2016-048

Hi Everyone!

Panels 3.6 and Panelizer 3.3 were released yesterday to address multiple critical security vulnerabilities. You can learn more in the security advisories:

Panels - Critical - Multiple Vulnerabilities - SA-CONTRIB-2016-047

Panelizer - Moderately Critical - Access Bypass - SA-CONTRIB-2016-048

Beyond the security update, this release also includes a few super minor bug fixes.

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.39

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.38 released for SA-CONTRIB-2016-041

Hi Everyone!

Administration Views 1.6 was released today to address a critical security vulnerability. You can learn more in the security advisory:

Administration Views - Critical - Access bypass - SA-CONTRIB-2016-041

Beyond the security update, this release also includes a few minor bug fixes and features.

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.38

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.37 released for SA-CONTRIB-2016-036

Hi Everyone!

Views 3.14 was released yesterday to address a less critical security vulnerability. You can learn more in the security advisory:

Views - Less Critical - Access Bypass - SA-CONTRIB-2016-036

Sorry about doing two releases in one day. Somehow, I forgot to include the Views security update in the last release. We can blame that on it being hard to remember that Views isn't in core in Drupal 7. ;-)

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.37

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.36 (and 2.0-alpha4) released for SA-CORE-2016-002!

Hi Everyone!

Drupal 7.44 was released today to address a moderately critical security vulnerability. You can learn more in the security advisory:

Drupal Core - Moderately Critical - Multiple Vulnerabilities - SA-CORE-2016-002

Beyond the security update, this release also includes a few minor bug fixes.

(We also released Panopoly 2.0-alpha4 for Drupal 8.1.3, which addresses the same security advisory. However, Panopoly 2.x on Drupal 8 isn't yet ready for production!)

For more information, please see the full release notes:

https://www.drupal.org/project/panopoly/releases/7.x-1.36

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 2.0-alpha3 released for Drupal 8!

Hi Everyone!

We just released the 3rd alpha release of Panopoly 2.0 for Drupal 8. You can download it and read the full release notes here:

https://www.drupal.org/project/panopoly/releases/8.x-2.0-alpha3

The 2nd alpha release went unannounced, but it was released earlier in this week. The main goal of that release was to update all of dependecies, and flesh out the following modules per the MVP requirements for Panopoly 2.0:

  • Panopoly Core
  • Panopoly Images
  • Panopoly Theme
  • Panopoly Widgets
  • Panopoly Pages

You can see the full release notes for that release here.

And the primary goal of this release was to implement an initial version of Panopoly Demo.

Read more
dsnopek's picture

Panopoly 1.35 released for SA-CONTRIB-2016-025

Hi Everyone!

Fieldable Panels Panes 1.10 was released today to address a moderately critical security vulnerability. You can learn more in the security advisory:

Fieldable Panels Panes - Moderately Critical - XSS - SA-CONTRIB-2016-025

Beyond the security update, this release also includes a few minor bug fixes.

For more information, please see the full release notes:

https://www.drupal.org/node/2719143

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
gusaus's picture

Options and best practices for building a Panopoly based distribution

At this point in time, what would be the best option for building a Panopoly based distribution? Start with Panopoly 1.x., wait/help contribute to 2.x, both? Will there be some sort of upgrade path?

First of a few related questions...

Read more
gabrieldev's picture

Create a get all data REST resource

Hey guys! I have a problem. I want to create a get all data REST resource in Drupal 8. I need a request that will display all the data from all the requests. This request will be executed when the mobile application starts . I found this module:
https://github.com/enzolutions/entity_rest_extra, but I don't know the methods to display all the views with content types that I created. Any solution?

Read more
dsnopek's picture

Panopoly 1.34 released for SA-CONTRIB-2016-022

Hi Everyone!

Search API 1.18 was released today to address a moderately critical security vulnerability. You can learn more in the security advisory:

Search API - Moderately Critical - Multiple Vulnerabilities - SA-CONTRIB-2016-022

Beyond the security update, this release also includes a few non-security module updates.

For more information, please see the full release notes:

https://www.drupal.org/node/2710517

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.33 released for SA-CONTRIB-2016-020 (some additional steps required!)

Hi Everyone!

Features 2.9 was released yesterday to address a less critical security vulnerability. You can learn more in the security advisory:

Features - Less Critical - Denial of Service (DoS) - SA-CONTRIB-2016-020

Beyond the security update, this release also includes a few small bug fixes, and one change that may require you to take some additional steps!

If you use RespondJS in order to allow your site to be responsive on IE6, IE7 or IE8 (not necessary for other browsers or newer versions of IE) then you're going to need to manually download the RespondJS library. We're no longer allowed to package it with Panopoly for licensing reasons. (Full instructions in the release notes!)

For more information, please see the full release notes:

https://www.drupal.org/node/2706361

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
macuhail's picture

Sending arguments to a view in a panel

I am new to using Panoply. Using page manager, I am attempting to create a page that uses an argument to display specific content in a view. In other words I need to send an argument from the URL to a view in a panel.

Usually in page manager, when adding content, there is a setting to send arguments to the view. I do not see this setting when adding content in Panoply. In testing the page, I see that arguments are not being sent to the view.

How do I send arguments from the URL to the view in a panel?

Read more
dsnopek's picture

Panopoly 1.32 released for SA-CONTRIB-2016-014

Hi Everyone!

Fieldable Panels Panes was released yesterday to address a moderately critical security vulnerability. You can learn more in the security advisory:

Fieldable Panels Panes - Moderately Critical - Access Bypass - SA-CONTRIB-2016-014

Since the last release was a week ago, there are no other changes than this security fix.

For more information, please see the full release notes:

https://www.drupal.org/node/2680513

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.31 released for SA-CORE-2016-001

Hi Everyone!

Drupal 7.43 was released yesterday to address 10 security vulnerabilities that, collectively, represent a critical security vulnerability. You can learn more in the security advisory:

Drupal Core - Critical - Multiple Vulnerabilities - SA-CORE-2016-001

Beyond the security update, this release also includes a few small bug fixes.

For more information, please see the full release notes:

https://www.drupal.org/node/2676012

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
dsnopek's picture

Panopoly 1.30 released for SA-CONTRIB-2016-001

Hi Everyone!

Field Group 1.5 was released today to address a moderately critical security vulnerability. You can learn more in the security advisory:

Field Group - Moderately Critical - Cross Site Scripting (XSS) - SA-CONTRIB-2016-001

Beyond the security update, this release also includes a few small bug fixes.

For more information, please see the full release notes:

https://www.drupal.org/node/2645728

Remember: you have to update the WHOLE profile - not just the individual panopoly_* modules! Otherwise, you'll be missing important module updates/patches, and it isn't guarenteed to work.

Read more
Subscribe with RSS Syndicate content

Panopoly

Group organizers

Group notifications

This group offers an RSS feed. Or subscribe to these personalized, sitewide feeds:

Hot content this week